## org.eclipse.amp.agf.gef
Class EditPartListener

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener
              org.eclipse.amp.axf.view.SWTAsyncModelListener
                  org.eclipse.amp.agf.gef.EditPartListener

All Implemented Interfaces:
  ILifeCycleListener, IStateListener, org.eclipse.core.runtime.IAdaptable

    public class EditPartListener

extends SWTAsyncModelListener
implements org.eclipse.core.runtime.IAdaptable

Constructor Summary
`EditPartListener(EditPartViewPart view)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`void` `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`beginPainting, endPainting, forceModelNotify, isWaitForUpdate, setWaitForUpdate, stateChange`

Methods inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`getWidget, setWidget`

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, observing, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditPartListener

    public EditPartListener(EditPartViewPart view)

Method Detail

### update

    public void update(IModel model)

  Description copied from class: `SWTThreadModelListener`
  Update.

  Specified by:
    `update` in class `SWTThreadModelListener`
  Parameters:
    `model` - the model

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`